# Создаётся объект-кортеж со 125 целыми случайными числами из диапазона от 6 до 56, представленными в виде символьных строк.
import random
tp = tuple(random.randint(6, 56) for i in range(125))
str_tp = tuple(map(str, tp))
print(str_tp)

# Создаётся объект-список с вашей фамилией и 4 фамилиями ваших одноклассни
surn = ["Криви", "Киреев", "Капитонов", "Ефремов", "Добровольска"]
print("Список фамилий:", surn)


# Записать кортеж в бинарный файл.
import os
import pickle
os.chdir(r"C:\Users\user\python-labs\TEMA6")
a = open('bin.mnz', 'wb')
pickle.dump(str_tp, a)

#  Записывается в этот же файл список и закрывается файл.
pickle.dump(surn, a)
a.close()

# Открывается этот файл для чтения и считывает из него данные в 2 новых объекта.
a = open('bin.mnz', 'rb')
obj1 = pickle.load(a)
obj2 = pickle.load(a)
a.close()
print("Прочитан кортеж:", obj1)
print("Прочитан список:", obj2)

#  Проверяется на совпадение новых объектов с исходными и выводится соответствующее со-общение.
if obj1 == str_tp and obj2 == surn:
    print("Объекты совпадают с исходными!")
else:
    print("Объекты не совпадают с исходными!")

# Разделяется кортеж на  совокупности по 5 чисел в каждой и они записываются  в виде отдельных списков со своими именами.
# Создание и вывод в одном цикле
for i in range(25):
    exec(f"list{i+1} = list(str_tp[{i*5}:{i*5+5}])")

print("Список 1: " , list1,'\n',"Список 2: ", list2)
